#
# spec file for package dbus-1-qt3 (Version 0.62)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           dbus-1-qt3
BuildRequires:  dbus-1 dbus-1-devel qt3-devel automake
Url:            http://dbus.freedesktop.org/
License:        GPL-2.0+
Group:          Development/Libraries/KDE
Version:        0.62
Release:        250.4
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      dbus-1-qt3-64bit
%endif
#
Summary:        QT3/KDE bindings for D-Bus
Source0:        dbus-qt3-%{version}.tar.bz2
Source1:        baselibs.conf
Patch0:         dbus-qt3-compile-fix-thoenig-01.patch
Patch1:         dbus-qt3-do-not-close-shared-connection-thoenig-01.patch
Patch2:         dbus-qt3-0.62-alt-new-autotools.patch
Patch3:         dbus-qt3-0.62-fix-autoconf-2.64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dbus-1
Provides:       dbus-1-qt:/usr/%_lib/libdbus-qt-1.so.1

%package -n dbus-1-qt3-devel
License:        GPL-2.0+
Summary:        Developer package for QT3/KDE bindings for D-Bus
Requires:       dbus-1 
Requires:       dbus-1-devel 
Requires:       dbus-1-qt3 = %{version}
AutoReqProv:    on
Group:          Development/Libraries/KDE

%description
QT3/KDE bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%description -n dbus-1-qt3-devel
Developer package for QT3/KDE bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n dbus-qt3-%{version} -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
#autoreconf -fi
make -f admin/Makefile.common cvs
RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fstack-protector -fno-strict-aliasing -fPIC"
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"
./configure								\
    --prefix=%{_prefix}							\
    --exec_prefix=%{_exec_prefix}					\
    --sysconfdir=%{_sysconfdir}						\
    --datadir=%{_datadir}						\
    --localstatedir=%{_localstatedir}					\
    --libdir=%{_libdir}							\
    --mandir=%{_mandir}	
make

%install
make DESTDIR=%{buildroot} install

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%files 
%defattr(-, root, root)
%{_libdir}/libdbus-qt-1.so.1*

%files -n dbus-1-qt3-devel
%defattr(-, root, root)
%dir %{_includedir}/dbus-1.0
%dir %{_includedir}/dbus-1.0/dbus
%{_includedir}/dbus-1.0/dbus/connection.h
%{_includedir}/dbus-1.0/dbus/dbus-qt.h
%{_includedir}/dbus-1.0/dbus/message.h
%{_includedir}/dbus-1.0/dbus/server.h
%{_libdir}/libdbus-qt-1.la
%{_libdir}/libdbus-qt-1.so

%changelog
* Tue Jan 28 2014 anixx@opensuse.org
- add autotools patches from Alt Linux, drop use of unsermake
  dbus-qt3-0.62-alt-new-autotools.patch
  dbus-qt3-0.62-fix-autoconf-2.64.patch
* Wed Jan 25 2012 cfarrell@suse.com
- license update: GPL-2.0+
  Make licenses SPDX compatible
* Fri Dec 18 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Nov  6 2006 thoenig@suse.de
- loosen dependency to D-Bus
* Fri Oct 20 2006 thoenig@suse.de
- add dbus-qt3-do-not-close-shared-connection-thoenig-01.patch:
  Do not close shared connection
- F=dbus-qt3-compile-fix-thoenig-01; mv $.diff $F.patch
* Mon Aug 21 2006 thoenig@suse.de
- remove hack for 64bit architectures
- use bz2 for tar ball
* Thu Aug 17 2006 dmueller@suse.de
- really enable -fstack-protector
- fix build on x86_64
* Tue Aug  1 2006 thoenig@suse.de
- split out binings to sparate spec files
